﻿using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Data;
using System.IO;
using System.Threading.Tasks;
using WebApplication1.Models;
using Syncfusion.EJ2.Charts;
using Syncfusion.EJ2.Navigations;

namespace WebApplication1.Controllers
{
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }

        public IActionResult Index()
        {
            ViewBag.headerTextOne = new TabHeader { Text = "Chart 1" };
            ViewBag.headerTextTwo = new TabHeader { Text = "Chart 2" };
            List<LineChartData> chartData = new List<LineChartData>
            {
                new LineChartData { xValue = new DateTime(2005, 01, 01), yValue = 21, yValue1 = 28 },
                new LineChartData { xValue = new DateTime(2006, 01, 01), yValue = 24, yValue1 = 44 },
                new LineChartData { xValue = new DateTime(2007, 01, 01), yValue = 36, yValue1 = 48 },
                new LineChartData { xValue = new DateTime(2008, 01, 01), yValue = 38, yValue1 = 50 },
                new LineChartData { xValue = new DateTime(2009, 01, 01), yValue = 54, yValue1 = 66 },
                new LineChartData { xValue = new DateTime(2010, 01, 01), yValue = 57, yValue1 = 78 },
                new LineChartData { xValue = new DateTime(2011, 01, 01), yValue = 70, yValue1 = 84 },
            };
            ViewBag.dataSource = chartData;
            List<StepLineChartData> chartData1 = new List<StepLineChartData>
            {
                new StepLineChartData { xValue = new DateTime(1975, 01, 01), yValue = 16, yValue1 = 10 },
                new StepLineChartData { xValue = new DateTime(1980, 01, 01), yValue = 12.5, yValue1 = 7.5 },
                new StepLineChartData { xValue = new DateTime(1985, 01, 01), yValue = 19, yValue1 = 11 },
                new StepLineChartData { xValue = new DateTime(1990, 01, 01), yValue = 14.4, yValue1 = 7 },
                new StepLineChartData { xValue = new DateTime(1995, 01, 01), yValue = 11.5, yValue1 = 8 },
                new StepLineChartData { xValue = new DateTime(2000, 01, 01), yValue = 14, yValue1 = 6 },
                new StepLineChartData { xValue = new DateTime(2005, 01, 01), yValue = 10, yValue1 = 3.5 },
                new StepLineChartData { xValue = new DateTime(2010, 01, 01), yValue = 16, yValue1 = 7 },
            };
            ViewBag.dataSource1 = chartData1;
            return View();
        }
        public class LineChartData
        {
            public DateTime xValue;
            public double yValue;
            public double yValue1;
        }
        public class StepLineChartData
        {
            public DateTime xValue;
            public double yValue;
            public double yValue1;
        }
        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}
